GuidesAPI Reference
API Reference

Gets the event statuses

Gets all events statuses for all devices and shipments of the project. An event status of a device is the most recent event of any rule or geofence the device is associated with. The same applies for shipments.

The response contains a list of event status objects and each object has the following properties:

  • trackingId or shipmentId: a device ID or a shipment ID
  • ruleId: an associated rule or geofence ID
  • eventSource: the rule type
  • eventType: an event type of the latest event of the rule (same as the "event state")
  • timestamp: a time since when the device has been in this event state
  • initialState: initial state status for the event

The array is sorted by the following fields in the following order: trackingId, eventSource, timestamp, ruleId, geofenceId.

A time range can be defined with before and after timestamps. The response will contain event statuses that were recorded within the range.

If the request is supplied with eventSource query parameter, the response results will be limited to the specified rule types only.

If the request is supplied with ruleId query parameter, the response results will be limited to the specified rule IDs only.

If the request is supplied with trackingId query parameter, the response results will be limited to the specified devices only. Also shipmentId can be used as a trackingId.

If the request is supplied with eventType query parameter, the response results will be limited to the specified type only.

If the request is supplied with geofenceId query parameter, it will only affect dwelling event statuses filtering, limiting the results to the specified geofence only. Other event types are not affected by this setting. Note that for the event statuses of geofence type, the ruleId is the geofenceId.

If the request is supplied with shipments query parameter, the response results will be limited either to shipments (shipments=true) or devices (shipments=false) only. Otherwise, if shipments query parameter is not specified, response results will include both devices and shipments.

If the request is supplied with initialState query parameter, the response will contain events having the specified initial state.

All the aforementioned query parameters can be combined together.

Query Params
enum

The event source rule type.

enum

Type of the event.

An event is created every time an associated rule or geofence is triggered by a device ingestion. The event type depends on the data the device sends.

Sensors that report numerical data (such as battery, humidity, pressure and temperature sensors), generate an event when the reported sensor reading of the device goes in or out of range, which is configured in the rule. This produces events of BELOW_RANGE, IN_RANGE and ABOVE_RANGE types.

Sensors that report boolean data (such as attach and tamper sensors), generate events when the device transitions from one state to another, either from false to true or vice versa. This produces events of FALSE_TO_TRUE and TRUE_TO_FALSE types. The same event types are also generated by the online rule when the device state changes from offline (when the device has stopped ingesting data) to online (when the device data ingestion has resumed) or vice versa.

The acceleration sensor generates events whenever the reported sensor reading crosses the acceleration threshold (for example, when the device was dropped). This produces events of the type EVENT. Such events are stateless.

Events of INSIDE_GEOFENCE and OUTSIDE_GEOFENCE types are generated when the device enters or exits a geofence associated with the device.

Events of DWELLING_STARTED type are generated when the device has stayed inside an associated geofence for longer than the threshold duration. DWELLING_ENDED type events are generated when dwelling of the device has ended.

Events of DETENTION_STARTED type are generated when the device has been stationary for longer than the threshold duration, regardless whether the device is inside or outside of any geofence. DETENTION_ENDED type events will be generated when the device starts moving again.

Events of UNUTILIZED type are generated when the device has been stationary for longer than the threshold duration. UTILIZED type events are generated when the device starts moving again after having been stationary.

Events of OVERSTOCK, NORMAL_VOLUME and UNDERSTOCK types are generated when the number of assets inside a geofence crosses the minVolume and maxVolume thresholds of an associated stock rule.

Event of SHIPMENT_ESTIMATE_CHANGED is generated when the estimated departure (ETD) or arrival (ETA) times deviate from the original estimates more than the defined threshold.

Events of SHIPMENT_EARLY, SHIPMENT_ON_TIME and SHIPMENT_DELAYED types are generated when a shipment is too early, on time or delayed.

length between 1 and 50

This is a unique ID associated with the device data in HERE Tracking. The trackingId gets assigned to a device when the device is claimed by a user. Alternatively, a valid shipmentId may be used.

ID of the rule or geofence. Must be a valid UUIDv4.

ID of the geofence. Must be a valid UUIDv4. This filter can be used to filter results related to dwelling event source.

boolean

Events with the initialState property set as true are generated when the rule is evaluated for the first time. It indicates the fact that this is the initial evaluation state, which would serve as a starting point for the subsequent rule evaluations. The rest of the rule events would represent a transition of a device or a shipment or a geofence from one state to another and their initialState property will be set to false.

boolean

If true, the results will be limited to shipment event statuses only. If false, the results will be limited to device event statuses only. If not specified, the results will include both device and shipments event statuses.

number
≥ 1

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

number
≥ 0

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

string

A token from the previously returned response to retrieve the specified page.

integer
1 to 1000
Defaults to 1000

The number of items to return per page.

string
length ≥ 8

Application identifier. Used together with an external ID to identify a virtual device.

string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json